# sf::Vector2< T > Class Template Reference

Vector2 is an utility class for manipulating 2 dimensional vectors. More...

`#include <Vector2.hpp>`

List of all members.

## Public Member Functions

| Vector2 ()
| Default constructor.
| Vector2 (T X, T Y)
| Construct the vector from its coordinates.

## Public Attributes

T | x
| X coordinate of the vector.
T | y
| Y coordinate of the vector.

## Detailed Description

### template<typename T>
class sf::Vector2< T >

Vector2 is an utility class for manipulating 2 dimensional vectors.

Template parameter defines the type of coordinates (integer, float, ...)

Definition at line 37 of file Vector2.hpp.

## Constructor & Destructor Documentation

template<typename T>

sf::Vector2< T >::Vector2 | ( |  | ) |

Default constructor.

template<typename T>

sf::Vector2< T >::Vector2 | ( | T | X,
|  | T | Y |
| ) |  |  |

Construct the vector from its coordinates.

Parameters:

  | X | : X coordinate
  | Y | : Y coordinate

## Member Data Documentation

template<typename T>

T sf::Vector2< T >::x

X coordinate of the vector.

Definition at line 59 of file Vector2.hpp.

template<typename T>

T sf::Vector2< T >::y

Y coordinate of the vector.

Definition at line 60 of file Vector2.hpp.

The documentation for this class was generated from the following file:

- Vector2.hpp